Simulate merchant application status change

Only available in the Rainforest sandbox environment.

Once the merchant application is submitted, in sandbox Rainforest does not decision the merchant for risk review. This endpoint can be utilized to simulate the decisioning. The merchant application must be in the status PROCESSING.

The expected webhooks will be sent for both the merchant and merchant application on the status change of the merchant application.

Path Params
string
required

The unique merchant identifier.

Prefix is "mid" in production and "sbx_mid" in sandbox.

string
required

The unique merchant application identifier.

Prefix is "app" in production and "sbx_app" in sandbox.

Body Params
string
enum

Status to transition the merchant application to.

At this time, you may only transition a merchant application into the status COMPLETED, DECLINED, or NEEDS_INFORMATION.

When transitioning into COMPLETED, the merchant's status will transition into ACTIVE.

When transitioning into DECLINED, the merchant's status will transition into CANCELED.

When transitioning into NEEDS_INFORMATION, the review of owner 1's name and SSN will be required by default. To specify other underwriting review types, provide underwriting_review_types.

Allowed:
underwriting_review_types
array of strings | null

When simulating into NEEDS_INFORMATION status, the default underwriting review type required is DEPOSIT_METHOD_1. This will require the merchant to review and update their deposit method information.

Providing an underwriting_review_types value is only allowed when status is NEEDS_INFORMATION.

To require other underwriting review types, you may provide an array of strings. Supported values are:

  • BUSINESS_NAME_TIN: require the merchant to review and update their business's legal name and/or TIN value
  • BUSINESS_VERIFICATION: require the merchant to upload documents to verify their business registration
  • FINANCIAL_1: require the merchant to upload documents to complete a financial review, including processing statements or bank statements
  • FINANCIAL_2: require the merchant to upload documents to complete a financial review, including processing statements, bank statements, and financial statements
  • DEPOSIT_METHOD_1: require the merchant to update their funding bank account or upload a document, such as a bank letter or voided check
  • OWNER_1_NAME_SSN: require the merchant to review and update the first name, last name, and/or SSN for owner #1
  • OWNER_2_NAME_SSN: require the merchant to review and update the first name, last name, and/or SSN for owner #2
  • OWNER_3_NAME_SSN: require the merchant to review and update the first name, last name, and/or SSN for owner #3
  • OWNER_4_NAME_SSN: require the merchant to review and update the first name, last name, and/or SSN for owner #4

If any of the provided underwriting_review_types values are not applicable to the merchant application, a 400 Bad Request will be returned indicating which values were not applicable to the application's merchant type.

For example, if the application has no owner #2 specified, requiring OWNER_2_NAME_SSN will result in a 400 Bad Request.

FINANCIAL_1 and FINANCIAL_2 are mutually exclusive and only one can be chosen as an underwriting review type.

Similarly, if the application's merchant type is INDIVIDUAL and BUSINESS_NAME_TIN is included, a 400 Bad Request will be returned because an individual merchant type application does not collect business name and TIN values.

Headers
string
enum
Defaults to 2024-10-16
Allowed:
Responses

Language
Credentials
Bearer
APIKey
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json